--------------------------------------------------------------------------------
-- IBM Information Server Unified Governance
-- - microservice repositories database schema creation for Oracle 12c
--------------------------------------------------------------------------------
-- Copyright (c) 2009-2017 IBM Corporation. All rights reserved.
--
-- To manually run this script in a preexisting tablespace, enter the following
-- from a command prompt:
--
--   sqlplus oracle_system_user/oracle_system_password@database_service_name
--
-- Where database_service_name is the oracle SID name in which to create the
-- user.
--
--   Example: system/manager@ORCL
--
-- At the sqlplus prompt enter the following:
--
--   @create_ug_schema.sql username tablespacename
--
-- Where username is the user to create and tablespacename is the tablespace to
-- create the user in.
--------------------------------------------------------------------------------

SET TERM OFF;
SET SERVEROUTPUT ON;

WHENEVER SQLERROR EXIT 1;

SPOOL create_ug_schema_sql.log;

CREATE USER &1
 IDENTIFIED BY "changeme"
 DEFAULT TABLESPACE &2
 TEMPORARY TABLESPACE TEMP
 QUOTA UNLIMITED ON &2
 PASSWORD EXPIRE ACCOUNT LOCK
/

GRANT SELECT ANY TABLE TO &1
/

SPOOL OFF;
EXIT ;
